package com.njcn.shiro.session;

import org.apache.shiro.session.Session;

import java.io.Serializable;
import java.util.Collection;

/**
 * @author hongawen
 * @date 2018/3/21 19:48
 */
public interface UserShiroSessionRepository {

	/**
	 * 存储Session
	 * @param session 指定会话
	 */
    void saveSession(Session session);
    /**
     * 删除session
     * @param sessionId 会话ID
     */
    void deleteSession(Serializable sessionId);
    /**
     * 获取session
     * @param sessionId 会话ID
     */
    Session getSession(Serializable sessionId);
    /**
     * 获取所有sessoin
     */
    Collection<Session> getAllSessions();

    /**
     * 激活当前会话
     */
    void activeSession(Session session);
}
